curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns/apply-nameservers \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_type": "register",
"status": "pending",
"created": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Apply the DNS zone nameservers to the domain at the registrar level. This updates the domain’s nameserver delegation to point to the activated DNS zone. The operation is asynchronous and creates a task to update nameservers at the registrar. The DNS zone must be activated before applying nameservers.
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns/apply-nameservers \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_type": "register",
"status": "pending",
"created": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
The unique identifier (UUID) of the domain
Nameserver update task created and queued for processing
register - registertransfer_in - transfer intransfer_out - transfer outrenew - renewupdate_nameservers - update nameserversupdate_contacts - update contactsget_epp_code - get epp codeenable_whois_privacy - enable whois privacydisable_whois_privacy - disable whois privacylock_domain - lock domainunlock_domain - unlock domaincreate_dns_zone - create dns zonedelete_dns_zone - delete dns zonecreate_dns_record - create dns recordupdate_dns_record - update dns recorddelete_dns_record - delete dns recordsync_dns_records - sync dns recordsregister, transfer_in, transfer_out, renew, update_nameservers, update_contacts, get_epp_code, enable_whois_privacy, disable_whois_privacy, lock_domain, unlock_domain, create_dns_zone, delete_dns_zone, create_dns_record, update_dns_record, delete_dns_record, sync_dns_records pending - pendingrunning - runningcompleted - completedfailed - failedcancelled - cancelledpending, running, completed, failed, cancelled